function myFrames = actionMovie8(actFile, finalTrack)

modelSize = 49;

pointsName = [actFile '.points.mat'];
eval(['load '  pointsName ' humanBody ptNumber mkCode;']);

modelFile = [ 'model.dat'];
model = load(modelFile);
numEdge = size(model, 1); 

dirBase = dir([actFile '.1.*.pgm']);
numberFrames = size(dirBase, 1);
myFrames = moviein(numberFrames);
camproj perspective;
for frm=1:numberFrames

  axis manual;
  axis equal;
  axis([-6 6 -6 6 -6 6]);
  view(0, 0);
  hold on;
    
  for mk=1:numEdge
    trk1 = model(mk, 1);
    trk2 = model(mk, 2);
        
    if (finalTrack(trk1, frm) > 0)
      if (finalTrack(trk2, frm) > 0)
        X(1) = humanBody(1, finalTrack(trk1, frm), frm);
        X(2) = humanBody(1, finalTrack(trk2, frm), frm);
        Y(1) = humanBody(2, finalTrack(trk1, frm), frm);
        Y(2) = humanBody(2, finalTrack(trk2, frm), frm);
        Z(1) = humanBody(3, finalTrack(trk1, frm), frm);
        Z(2) = humanBody(3, finalTrack(trk2, frm), frm);
        plot3(-X, Y, Z, 'k-');
      end;
    end;    
  end;
    
  for mk=1:modelSize
    if (finalTrack(mk, frm) > 0)
      plot3(-humanBody(1, finalTrack(mk, frm), frm), humanBody(2, finalTrack(mk, frm), frm), humanBody(3, finalTrack(mk, frm), frm), 'b.');
    end;
  end;

  myFrames(:, frm) = getframe;
  clf;
end;
